Class | YARD::Serializers::FileSystemSerializer
In: | lib/yard/serializers/file_system_serializer.rb
Parent: | Base

Implements a serializer that reads from and writes to the filesystem.

### Methods

basepath= exists? extension= new serialize serialized_path

### Attributes

basepath | [R] | The base path to write data to. @return [String] a base path
extension | [R] | The extension of the filename (defaults to `html`) @return [String] the extension of the file. Empty string for no extension.

### Public Class methods

new(opts = {})

Creates a new FileSystemSerializer with options

@option opts [String] :basepath (‘doc’) the base path to write data to @option opts [String] :extension (‘html’) the extension of the serialized

      path filename. If this is set to the empty string, no extension is used.

### Public Instance methods

basepath=(value)
exists?(object)

Checks the disk for an object and returns whether it was serialized.

@param [CodeObjects::Base] object the object to check @return [Boolean] whether an object has been serialized to disk

extension=(value)
serialize(object, data)

Serializes object with data to its serialized path (prefixed by the +basepath+).

@return [String] the written data (for chaining)

serialized_path(object)

Implements the serialized path of a code object.

@param [CodeObjects::Base, CodeObjects::ExtraFileObject, String] object

      the object to get a path for. The path of a string is the string itself.

@return [String] if object is a String, returns

      object, otherwise the path on disk (without the basepath).

[Validate]